For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • GETList Reversals
      • POSTCreate Reversal
      • GETGet Reversal by ID
LogoLogo
StatusDashboard
API ReferencePix Reversals

List Reversals

GET
https://api.brzip.com.br/api/v1/pix/reversals
GET
/api/v1/pix/reversals
$curl -G https://api.brzip.com.br/api/v1/pix/reversals \
> -d limit=10 \
> -d after=2024-01-01 \
> -d before=2024-12-31 \
> -d status=success

Lists all PIX reversals with pagination and filter support. This endpoint is not implemented as of yet. Use GET /reversals/:reversal_id to retrieve a specific reversal.

Scope: pix:reversals:read

Was this page helpful?
Previous

Create Reversal

Next
Built with

Query parameters

limitintegerOptional<=100

Maximum number of results (max 100)

cursorstringOptional
Cursor for pagination
afterdateOptional

Filter by creation date (after)

beforedateOptional

Filter by creation date (before)

statusenumOptional
Filter by status
Allowed values:
end_to_end_idsstringOptional

Filter by EndToEndID(s)

external_idsstringOptional

Filter by external ID(s)

Errors

501
Not Implemented Error